Subject: Re: [PATCH (BUGFIX)] gitweb: Fix "Use of uninitialized value" error in 'history' view

From: Jakub Narebski <[email-masked]>
Date: Sat, 5 Apr 2008 18:38:17 +0100

Jakub Narebski wrote:
> On Sat, 5 Apr 2008, Gerrit Pape wrote:
>> On Fri, Apr 04, 2008 at 03:23:42PM +0100, Jakub Narebski wrote:
>>
>> Do you know whether this fixes http://bugs.debian.org/469083 too?  I
>> took a short look back then to fix it, but didn't manage it in a
>> reasonable amount of time.
> 
> No it does not.
> 
> 
> I have found what causes this bug. [...]
> I'd send in a bit patch fixing this bug (making is_deleted() more
> robust).

It should be enough to revert commit 6aa6f92 (gitweb: Add 'status_str'
to parse_difftree_raw_line output); it should fix this bug.

P.S. Mentioned commit was done for micro-optimization: "<str> =~ /D/"
is a bit faster than "<str> eq ('0' x 40)" in the case when it doesn't
match.
-- 
Jakub Narebski
Poland